summarylogtreecommitdiffstats
path: root/publish.sh
diff options
context:
space:
mode:
authorburdoto2023-05-13 22:05:16 +0200
committerburdoto2023-05-13 22:11:48 +0200
commitb539119fee0b24e33006cb0ab04060c948d10fc7 (patch)
tree121769d7a609f82ddfce12d736f283e54986037e /publish.sh
parent7c726463bf27de7713c305a10dab485674287d91 (diff)
downloadaur-b539119fee0b24e33006cb0ab04060c948d10fc7.tar.gz
extract pkgbuild
Diffstat (limited to 'publish.sh')
-rwxr-xr-xpublish.sh17
1 files changed, 6 insertions, 11 deletions
diff --git a/publish.sh b/publish.sh
index 34b6c528fce6..aa18bce5439a 100755
--- a/publish.sh
+++ b/publish.sh
@@ -2,20 +2,15 @@
set -e # exit on error
-./clean.sh
+echo "cleanup"
+sudo rm -rf */
-# run tests first
-dotnet test -c Test
-
-# update SRCINFO
+echo "update SRCINFO"
makepkg --printsrcinfo > .SRCINFO
-(git add .SRCINFO && git commit -m "SRCINFO" && git push) || (echo "Failed to commit .SRCINFO" >&2 | return)
-
-# build the executable
-makepkg -f --noconfirm
+(git add .SRCINFO && git commit -m "SRCINFO") || true
-# push to aur
+echo "push to aur"
if [ -z "$(git remote | grep aur)" ]; then
git remote add aur ssh://aur@aur.archlinux.org/rgx-git.git
fi
-git push aur
+git push --set-upstream aur master